OpenVDB 5.1.0

Static Public Member Functions | Static Public Attributes | List of all members
GradientNormSqrd< MapType, GradScheme > Struct Template Reference

`#include <Operators.h>`

## Static Public Member Functions
template<typename Accessor >
static Accessor::ValueType | result (const MapType &map, const Accessor &grid, const Coord &ijk)
template<typename StencilT >
static StencilT::ValueType | result (const MapType &map, const StencilT &stencil)

## Static Public Attributes
static const DScheme | FD = BIAS_SCHEME<GradScheme>::FD
static const DScheme | BD = BIAS_SCHEME<GradScheme>::BD

## Member Function Documentation

## ◆ result() [1/2]

static Accessor::ValueType result | ( | const MapType & | map,
|  | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ result() [2/2]

static StencilT::ValueType result | ( | const MapType & | map,
|  | const StencilT & | stencil
| ) |  |
| inline static

## Member Data Documentation

## ◆ BD

const DScheme BD = BIAS_SCHEME<GradScheme>::BD
| static

## ◆ FD

const DScheme FD = BIAS_SCHEME<GradScheme>::FD
| static

The documentation for this struct was generated from the following file:

- Operators.h